#!/usr/bin/perl -w
#########################################################################
#
# Serz Minus (Sergey Lepenkov), <abalama@cpan.org>
#
# Copyright (C) 1998-2020 D&D Corporation. All Rights Reserved
#
# This is free software; you can redistribute it and/or modify it
# under the same terms as Perl itself.
#
# $Id: 01-use.t 17 2020-02-28 15:54:00Z abalama $
#
#########################################################################
use Test::More tests => 5;
BEGIN { use_ok('VISD') };
ok(VISD->VERSION, 'Version (as default method call)');

# Version
{
    my $v = VISD_VERSION || 0;
    (is($v, VISD->VERSION, 'Version match') or diag(sprintf("Version %s IS NOT system %s!", $v, VISD->VERSION))) && note("Version: v$v");
}

# Revision
{
    my $v = VISD_REVISION || 0;
    ok($v, 'Revision') && note("Revision: r$v");
}

# Banner
{
    my $v = VISD_BANNER;
    ok($v, 'Banner') && note($v);
}

1;

__END__
